package gomod

import (
	"Geoswift_No_Reason_Remittance_Golang/utils"
	"fmt"
	"io/ioutil"
	"net/http"
	"strings"
)

// 订单退款请求
func PostRequest(w http.ResponseWriter, r *http.Request) {
	r.ParseForm()
	//接口地址
	apiurl := utils.IsNull(r.Form["url"])
	contentType := utils.IsNull(r.Form["content-Type"])
	merchantId := utils.IsNull(r.Form["merchantId"])
	requestId := utils.IsNull(r.Form["requestId"])
	encryptKey := utils.IsNull(r.Form["encryptKey"])
	data := utils.IsNull(r.Form["data"])
	reqest, err := http.NewRequest("POST", apiurl, strings.NewReader(data))
	if err != nil {
		fmt.Println("reqerr:", err)
	}
	//增加header选项
	reqest.Header.Add("Content-Type", contentType)
	reqest.Header.Add("encryptKey", encryptKey)
	reqest.Header.Add("merchantId", merchantId)
	reqest.Header.Add("requestId", requestId)
	client := &http.Client{}
	resp, err := client.Do(reqest)
	if err != nil {
		fmt.Println("resperr:", err)
	}
	defer resp.Body.Close()
	body, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println("berr:", err)
	}
	//返回的状态码
	status := resp.StatusCode
	fmt.Println("请求响应状态：", status)
	fmt.Fprintf(w, "请求响应内容：")
	fmt.Fprintf(w, string(body))
}
