package main

import (
	"Geoswift_No_Reason_Remittance_Golang/gomod"
	"fmt"

	//	"log"
	"net/http"
)

func main() {
	fs := http.FileServer(http.Dir("static"))
	http.Handle("/static/", http.StripPrefix("/static/", fs))
	http.HandleFunc("/", gomod.Index)

	http.HandleFunc("/remit", gomod.Remit)
	http.HandleFunc("/callback", gomod.Callback)
	http.HandleFunc("/notify", gomod.Notify)
	http.HandleFunc("/query", gomod.Query)
	http.HandleFunc("/rateQuery", gomod.RateQuery)
	http.HandleFunc("/close", gomod.Close)
	http.HandleFunc("/closecallback", gomod.CloseCallback)

	http.HandleFunc("/post", gomod.DataPost)

	err := http.ListenAndServe(":8082", nil)
	if err != nil {
		fmt.Println("ListenAndServe:", err)
		//log.Fatal("ListenAndServe: ", err)
	}
}
